---
title: HTMLElement.outerText
slug: Web/API/HTMLElement/outerText
tags:
  - API
  - HTML DOM
  - HTMLElement
  - Non-standard
  - Property
  - Reference
---
<div>{{APIRef("DOM")}} {{ Non-standard_header() }}</div>

<p><strong><code>HTMLElement.outerText</code></strong> is a non-standard property. As a getter, it returns the same value as {{domxref("Node.innerText")}}. As a setter, it removes the current node and replaces it with the given text.</p>

<h2 id="Example">Example</h2>

<p><a href="http://stackoverflow.com/a/18481435">See this StackOverflow answer.</a></p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification. Standards discussion: <a href="https://github.com/whatwg/html/issues/668">whatwg/html#668</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.outerText")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Node.innerText")}}</li>
 <li>{{domxref("Element.outerHTML")}}</li>
</ul>
